List folders
Your folders with who can open them, version and number of meetings.
GET https://cotlet.dev/api/v1/tldv/folders
read
Lists the folders you can see in Meetings & Folders. Each folder shows who it is shared with (you only, users, a Team or the organization), your role in it and whether it is a new or a previous version folder. Previous version folders cannot be edited or shared with new users anymore, so add_to_folder does not accept them.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/tldv/folders \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("tldv", "list_folders") const result = await cotlet.call('tldv', 'list_folders'); cotlet call tldv list_folders Example response
{
"folders": [
{
"folder_id": "fo_31c2",
"name": "Acme",
"version": "new",
"shared_with": "Sales team",
"role": "admin",
"meetings": 6
},
{
"folder_id": "fo_08aa",
"name": "2025 calls",
"version": "previous",
"shared_with": "only you",
"role": "admin",
"meetings": 41
}
]
}